# GoogleChartDataSet Class Reference

List of all members.

## Public Member Functions

| __construct ()
| setData (array $data)
| getData ()
| addElement ($element)
| setBase ($base)
| getBase ()
| getSize ()
| getMin ()
| setMax ($max)
| getMax ()
| getMinMax ()
| getStepSize ()

## Static Public Member Functions

static | create ()

## Private Member Functions

| calculateMax ()

## Private Attributes

| $data = array()
| $minMax = null
| $base = null

## Detailed Description

Definition at line 15 of file GoogleChartDataSet.class.php.

## Constructor & Destructor Documentation

GoogleChartDataSet::__construct | ( |  | ) |

Definition at line 31 of file GoogleChartDataSet.class.php.

References create().

Here is the call graph for this function:

## Member Function Documentation

GoogleChartDataSet::addElement | ( | $ | element | ) |

Returns:
  GoogleChartDataSet

Definition at line 54 of file GoogleChartDataSet.class.php.

GoogleChartDataSet::calculateMax | ( |  | ) | `[private]`

Returns:
  GoogleChartDataSet

Definition at line 122 of file GoogleChartDataSet.class.php.

References MathUtils::alignByBase().

Referenced by getMax().

Here is the call graph for this function:

static GoogleChartDataSet::create | ( |  | ) | `[static]`

Returns:
  GoogleChartDataSet

Definition at line 26 of file GoogleChartDataSet.class.php.

Referenced by GooglePieChart::__construct(), and __construct().

GoogleChartDataSet::getBase | ( |  | ) |

Definition at line 74 of file GoogleChartDataSet.class.php.

GoogleChartDataSet::getData | ( |  | ) |

Definition at line 46 of file GoogleChartDataSet.class.php.

Referenced by GoogleChartDataTextEncoding::encode(), and GoogleChartDataSimpleEncoding::encode().

GoogleChartDataSet::getMax | ( |  | ) |

Definition at line 96 of file GoogleChartDataSet.class.php.

References calculateMax().

Referenced by getStepSize().

Here is the call graph for this function:

GoogleChartDataSet::getMin | ( |  | ) |

Definition at line 84 of file GoogleChartDataSet.class.php.

GoogleChartDataSet::getMinMax | ( |  | ) |

Definition at line 104 of file GoogleChartDataSet.class.php.

GoogleChartDataSet::getSize | ( |  | ) |

Definition at line 79 of file GoogleChartDataSet.class.php.

GoogleChartDataSet::getStepSize | ( |  | ) |

Definition at line 109 of file GoogleChartDataSet.class.php.

References getMax(), and Assert::isTrue().

Here is the call graph for this function:

GoogleChartDataSet::setBase | ( | $ | base | ) |

Returns:
  GoogleChartDataSet

Definition at line 64 of file GoogleChartDataSet.class.php.

References $base.

GoogleChartDataSet::setData | ( | array $ | data | ) |

Returns:
  GoogleChartDataSet

Definition at line 39 of file GoogleChartDataSet.class.php.

GoogleChartDataSet::setMax | ( | $ | max | ) |

Definition at line 89 of file GoogleChartDataSet.class.php.

## Member Data Documentation

GoogleChartDataSet::$base = null`[private]`

Definition at line 21 of file GoogleChartDataSet.class.php.

Referenced by setBase().

GoogleChartDataSet::$data = array()`[private]`

Definition at line 17 of file GoogleChartDataSet.class.php.

GoogleChartDataSet::$minMax = null`[private]`

Definition at line 19 of file GoogleChartDataSet.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChartDataSet.class.php